#include "config_xor.h"

#include "sh_pthread.h"

#ifdef HAVE_PTHREAD
SH_MUTEX_INIT(mutex_skey,   PTHREAD_MUTEX_INITIALIZER);
SH_MUTEX_INIT(mutex_resolv, PTHREAD_MUTEX_INITIALIZER);
SH_MUTEX_INIT(mutex_pwent,  PTHREAD_MUTEX_INITIALIZER);
SH_MUTEX_INIT(mutex_readdir,PTHREAD_MUTEX_INITIALIZER);

void sh_pthread_mutex_unlock (void *arg)
{
  (void) pthread_mutex_unlock ((pthread_mutex_t *)arg);
  return;
}
#endif
